Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Run Class Reference

Describes a sequence of pixels of the same colour. More...

`#include <ImageProcessorUtilityClasses.h>`

Collaboration diagram for Run:

[legend]
List of all members.

## Public Member Functions
| Run ()
| Constructor.
## Public Attributes
Vector2< int > | start
| The first point.
Vector2< int > | end
| The last point.
Vector2< int > | scanLineStart
| The first point of the corresponding scan line.
int | length
| The length of the run.
colorClass | color
| The color.

## Detailed Description

Describes a sequence of pixels of the same colour.

Definition at line 141 of file ImageProcessorUtilityClasses.h.

## Constructor & Destructor Documentation

Run::Run | ( |  | ) | `[inline]`

| Constructor. Definition at line 145 of file ImageProcessorUtilityClasses.h.

## Member Data Documentation

Vector2<int> Run::start

| The first point. Definition at line 148 of file ImageProcessorUtilityClasses.h. Referenced by VLCBeaconDetector::addCandidate(), SlamBeaconDetector::addCandidate(), GT2005BeaconDetector::addCandidate(), VLCBeaconDetector::scanForPink(), SlamBeaconDetector::scanForPink(), GT2005BeaconDetector::scanForPink(), and TransformedRun::transform().

Vector2<int> Run::end

| The last point. Definition at line 150 of file ImageProcessorUtilityClasses.h. Referenced by VLCBeaconDetector::addCandidate(), SlamBeaconDetector::addCandidate(), GT2005BeaconDetector::addCandidate(), VLCBeaconDetector::scanForPink(), SlamBeaconDetector::scanForPink(), GT2005BeaconDetector::scanForPink(), and TransformedRun::transform().

Vector2<int> Run::scanLineStart

| The first point of the corresponding scan line. Definition at line 152 of file ImageProcessorUtilityClasses.h. Referenced by VLCBeaconDetector::addCandidate(), SlamBeaconDetector::addCandidate(), GT2005BeaconDetector::addCandidate(), VLCBeaconDetector::clusterPinkBeaconParts(), SlamBeaconDetector::clusterPinkBeaconParts(), GT2005BeaconDetector::clusterPinkBeaconParts(), VLCBeaconDetector::scanForPink(), SlamBeaconDetector::scanForPink(), GT2005BeaconDetector::scanForPink(), and TransformedRun::transform().

int Run::length

| The length of the run. Definition at line 154 of file ImageProcessorUtilityClasses.h. Referenced by VLCBeaconDetector::scanForPink(), SlamBeaconDetector::scanForPink(), and GT2005BeaconDetector::scanForPink().

colorClass Run::color

| The color. Definition at line 156 of file ImageProcessorUtilityClasses.h.

The documentation for this class was generated from the following file:

- Modules/ImageProcessor/ImageProcessorTools/ImageProcessorUtilityClasses.h